Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1740386 - SELinux is preventing bwrap from 'sys_admin' accesses on the cap_userns Desconocido.
Summary: SELinux is preventing bwrap from 'sys_admin' accesses on the cap_userns Desco...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4899a1a98a29a86e92af97b30d8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 19:28 UTC by Francisco de la Peña
Modified: 2019-09-06 12:33 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.3-45.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-06 12:33:49 UTC
Type: ---


Attachments (Terms of Use)

Description Francisco de la Peña 2019-08-12 19:28:50 UTC
Description of problem:
SELinux is preventing bwrap from 'sys_admin' accesses on the cap_userns Desconocido.

*****  Plugin catchall (100. confidence) suggests   **************************

Si cree que de manera predeterminada se debería permitir a bwrap el acceso sys_admin sobre  Desconocido cap_userns.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso temporalmente ejecutando:
# ausearch -c 'bwrap' --raw | audit2allow -M mi-bwrap
# semodule -X 300 -i mi-bwrap.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Objects                Desconocido [ cap_userns ]
Source                        bwrap
Source Path                   bwrap
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.3-43.fc30.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.2.7-200.fc30.x86_64 #1 SMP Thu
                              Aug 8 05:35:29 UTC 2019 x86_64 x86_64
Alert Count                   70
First Seen                    2019-07-13 19:50:29 CST
Last Seen                     2019-08-12 13:25:24 CST
Local ID                      8181ec85-fe65-4c8e-9734-3889b96e10cc

Raw Audit Messages
type=AVC msg=audit(1565637924.788:273): avc:  denied  { sys_admin } for  pid=2607 comm="bwrap" capability=21  scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=cap_userns permissive=0


Hash: bwrap,xdm_t,xdm_t,cap_userns,sys_admin

Version-Release number of selected component:
selinux-policy-3.14.3-43.fc30.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.10.1
hashmarkername: setroubleshoot
kernel:         5.2.7-200.fc30.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2019-08-13 11:51:50 UTC
commit c1c896db4b1c362dd597aa2ad199b97bba279bee (HEAD -> rawhide)
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Tue Aug 13 13:51:35 2019 +0200

    Add sys_admin capability for xdm_t in user namespace. BZ(1740386)

Comment 2 Fedora Update System 2019-09-05 06:52:15 UTC
FEDORA-2019-be14ea0375 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-be14ea0375

Comment 3 Fedora Update System 2019-09-05 12:53:12 UTC
selinux-policy-3.14.3-45.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-be14ea0375

Comment 4 Fedora Update System 2019-09-06 12:33:49 UTC
selinux-policy-3.14.3-45.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.